<?php
namespace Claromentis\People\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_a889687d4f2e7ee" . "d7a091dd1abe903a" . "a" => base64_decode("T25DcmVhdGVVc" . "2Vy"), "_45ed8675" . "ea7eada7f" . "4efaaf62c" . "ef70c3" => base64_decode("T25Vc" . "GRhdG" . "VVc2V" . "y"), "_104d2e6" . "5fd6a12e" . "a47809e7" . "79894b51" . "7" => base64_decode("T25EZWxld" . "GVVc2Vy"));
use Claromentis\Core\Event\EventSubscriberInterface;
use Claromentis\People\Event\AddUserEvent;
use Claromentis\People\Event\DeleteUserEvent;
use Claromentis\People\Event\PeopleEventType;
use Claromentis\People\Event\UpdateUserEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing;




class SearchSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [PeopleEventType::ADD_USER => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a889687d4f2e7e" . "ed7a091dd1abe90" . "3aa"], PeopleEventType::UPDATE_USER => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_45ed8675ea7eada7f4efaaf" . "62cef70c3"], PeopleEventType::DELETE_USER => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_104d2e65fd6a1" . "2ea47809e77989" . "4b517"]];
    }
    public function OnCreateUser(AddUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnUpdateUser(UpdateUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnDeleteUser(DeleteUserEvent $event)
    {
        $this->DeleteUserIndex($event->GetUserId());
    }
    protected function ReindexUser($user_id)
    {
        IndexingQueue::Reindex(Indexing\User::TYPE_NAME, $user_id);
    }
    protected function DeleteUserIndex($user_id)
    {
        IndexingQueue::DeleteIndex(Indexing\User::TYPE_NAME, $user_id);
    }
}